Skip to main content
GET
/
form-submissions
/
stream
Get a stream of filtered form submissions.
curl --request GET \
  --url https://api.samsara.com/form-submissions/stream \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "createdAtTime": "2019-06-13T19:08:25Z",
      "fields": [
        {
          "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
          "type": "number",
          "assetValue": {
            "asset": {
              "entryType": "tracked",
              "externalIds": {},
              "id": "281474982859091",
              "name": "trailer 123"
            }
          },
          "checkBoxesValue": {
            "value": [
              "Option A",
              "Option B"
            ],
            "valueIds": [
              "0cbbddb3-2541-4889-b4eb-92171cbfc142",
              "d33198cb-369f-4278-8120-d92d3ebf74bf"
            ]
          },
          "dateTimeValue": {
            "type": "datetime",
            "value": "2024-08-08T18:53:23Z",
            "dateValue": "2024-08-08"
          },
          "geofenceValue": {
            "geofence": {
              "entryType": "tracked",
              "address": "123 Main St, Anytown, USA 12345",
              "externalIds": {},
              "id": "1234567890",
              "name": "Geofence Name"
            }
          },
          "issue": {
            "id": "12345",
            "externalIds": {}
          },
          "label": "Engine Hours",
          "mediaList": [
            {
              "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
              "processingStatus": "processing",
              "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
              "urlExpiresAt": "2019-06-13T19:08:25Z"
            }
          ],
          "mediaValue": {
            "mediaList": [
              {
                "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
                "processingStatus": "processing",
                "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
                "urlExpiresAt": "2019-06-13T19:08:25Z"
              }
            ]
          },
          "multipleChoiceValue": {
            "value": "Yes",
            "valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
          },
          "note": "Fire and oil can lead to an accident.",
          "numberValue": {
            "value": 123.456
          },
          "personValue": {
            "person": {
              "entryType": "tracked",
              "name": "Jake",
              "polymorphicUserId": {
                "id": "938172",
                "type": "driver"
              }
            }
          },
          "signatureValue": {
            "media": {
              "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
              "processingStatus": "processing",
              "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
              "urlExpiresAt": "2019-06-13T19:08:25Z"
            }
          },
          "tableValue": {
            "columns": [
              {
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "label": "Store Number",
                "type": "number"
              }
            ],
            "rows": [
              {
                "cells": [
                  {
                    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                    "type": "number",
                    "checkBoxesValue": {
                      "value": [
                        "Option A",
                        "Option B"
                      ],
                      "valueIds": [
                        "0cbbddb3-2541-4889-b4eb-92171cbfc142",
                        "d33198cb-369f-4278-8120-d92d3ebf74bf"
                      ]
                    },
                    "dateTimeValue": {
                      "type": "datetime",
                      "value": "2024-08-08T18:53:23Z",
                      "dateValue": "2024-08-08"
                    },
                    "mediaValue": {
                      "mediaList": [
                        {
                          "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
                          "processingStatus": "processing",
                          "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
                          "urlExpiresAt": "2019-06-13T19:08:25Z"
                        }
                      ]
                    },
                    "multipleChoiceValue": {
                      "value": "Yes",
                      "valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
                    },
                    "numberValue": {
                      "value": 123.456
                    },
                    "personValue": {
                      "person": {
                        "entryType": "tracked",
                        "name": "Jake",
                        "polymorphicUserId": {
                          "id": "938172",
                          "type": "driver"
                        }
                      }
                    },
                    "signatureValue": {
                      "media": {
                        "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
                        "processingStatus": "processing",
                        "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
                        "urlExpiresAt": "2019-06-13T19:08:25Z"
                      }
                    },
                    "textValue": {
                      "value": "Exposed wires"
                    }
                  }
                ],
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
              }
            ]
          },
          "textValue": {
            "value": "Exposed wires"
          }
        }
      ],
      "formTemplate": {
        "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
        "revisionId": "1214a1fa-f0c6-408b-bf85-51dc3bc71ac7"
      },
      "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
      "isRequired": true,
      "status": "notStarted",
      "submittedAtTime": "2019-06-13T19:08:25Z",
      "submittedBy": {
        "id": "938172",
        "type": "driver"
      },
      "updatedAtTime": "2019-06-13T19:08:25Z",
      "approvalDetails": {
        "comment": "Requesting some changes to the submission."
      },
      "asset": {
        "entryType": "tracked",
        "externalIds": {},
        "id": "281474982859091",
        "name": "trailer 123"
      },
      "assignedAtTime": "2019-06-13T19:08:25Z",
      "assignedTo": {
        "id": "938172",
        "type": "driver"
      },
      "dueAtTime": "2019-06-13T19:08:25Z",
      "externalIds": {},
      "geofence": {
        "entryType": "tracked",
        "address": "123 Main St, Anytown, USA 12345",
        "externalIds": {},
        "id": "1234567890",
        "name": "Geofence Name"
      },
      "location": {
        "latitude": 12333122.3,
        "longitude": 1233331.4
      },
      "routeId": "123456789",
      "routeStopId": "987654321",
      "score": {
        "maxPoints": 80,
        "scorePercent": 75,
        "scorePoints": 60
      },
      "title": "Form Submission Title"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startTime
string
required

A start time in RFC 3339 format. Millisecond precision and timezones are supported. Value is compared against updatedAtTime. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string

An end time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. Value is compared against updatedAtTime. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

formTemplateIds
string[]

A comma-separated list containing up to 50 template IDs to filter data to.

userIds
string[]

A comma-separated list containing up to 50 user IDs to filter data to.

driverIds
string[]

A comma-separated list containing up to 50 user IDs to filter data to.

include
string[]

A comma-separated list of strings indicating whether to return additional information. Valid values: externalIds

assignedToRouteStopIds
string[]

A comma-separated list containing up to 50 route stop IDs to filter data to.

Response

OK response.

data
object[]
required

List of form submissions.

pagination
object
required

Pagination parameters.